//*********************************************************************************
// class tig.maths.Matrix2
// Software released under the General Public License (version 2 or later), available at
// http://www.gnu.org/copyleft/gpl.html
//*********************************************************************************

package tig.maths;
/**********************************************************************************
Simple representation of a 2 x 2 matrix containing double precision numbers.
<BR>Represented as 4 <CODE>double</CODE>s.
@author Thierry Graff
@history apr 29 2002 : creation from Matrix3
**********************************************************************************/
public class Matrix2{

  //=================================================================================
  //                            CONSTANTS
  //=================================================================================
  /** Term of the matrix */
  public double m00, m01, m10, m11;
					 
  //=================================================================================
  //                            CONSTANTS
  //=================================================================================
  /** Unique constructor.
  <BR>Fills the instance variables <CODE>m<SUB>ij</SUB></CODE> from parameters xij.
  */
  public Matrix2(double x00, double x01,
                 double x10, double x11){
    m00 = x00; m01 = x01; 
    m10 = x10; m11 = x11; 
  }// end Matrix2

}//end class Matrix2
